﻿
using System;
using Wisej.Web;

namespace wj308_Net6VS22_wpa_DataGrid
{
    public partial class Window1 : Form
    {
        public Window1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {

            // Create a Text column
            DataGridViewTextBoxColumn columnText = new DataGridViewTextBoxColumn();

            // Create a Text column
            DataGridViewTextBoxColumn columnValue = new DataGridViewTextBoxColumn();

            columnText.HeaderText = "Item";
            columnValue.HeaderText = "Value";

            // Add the columns to the grid
            dataGridView1.Columns.Add(columnText);
            dataGridView1.Columns.Add(columnValue);

            this.dataGridView1.RowCount = 10;
            this.dataGridView1.Columns[1].AllowHtml = true;
            this.dataGridView1.Columns[1].DefaultCellStyle.Alignment = DataGridViewContentAlignment.TopLeft;

            for (var i = 0; i < 10; i++)
            {
                this.dataGridView1.SetValue(0, i, $"Value {i}");
                this.dataGridView1.SetValue(1, i, i * 10);
            }

        }

        private void button2_Click(object sender, EventArgs e)
        {

            this.dataGridView1.Columns.Clear();
            this.dataGridView1.Rows.Clear();
        }

        private void dataGridView1_CellFormatting(object sender, DataGridViewCellFormattingEventArgs e)
        {
            if (e.ColumnIndex == 1)
            {
                // display progress and text.
                var value = (int)e.Value;

                e.Value = $"<div style='height:100%'><div style='background-color:yellow;width:{value}%;height:100%'></div>" +
                          $"<div style='width:100%;left:0px;top:0px;position:absolute;text-align:center;top:50%;transform:translateY(-50%);'>{value}%</div></div>";

                e.FormattingApplied = true;
            }
        }
    }
}
